(defun common_code (/)
  (cond
    ((= code -5) (setq ncode " "))
    ((= code -3) (setq ncode "  "))
    ((= code -2) (setq ncode "  "))
    ((= code -1) (setq ncode " "))
    ((= code 0) (setq ncode " "))
    ((and (= code 1)
	   (eq ent "LAYOUT"))
	  (setq ncode " "))
    ((and (= code 1)
	  (eq ent "VIEWPORT"))
	  (setq ncode "  "))
    ((= code 1)
    (setq ncode "  "))
    ((and (= code 2)
	  (eq acdb "AcDbPlotSettings"))
	  (setq ncode " "))
    ((= code 2) (setq ncode " , ,  ..."))
    ((= code 3) (setq ncode "  "))
    ((and (= code 4)
	 (eq acdb "AcDbPlotSettings"))
	  (setq ncode " "))
    ((= code 4) (setq ncode "  "))
    ((= code 5) (setq ncode " "))
    ((and (= code 6)
	  (eq acdb "AcDbPlotSettings"))
	  (setq ncode "  "))
    ((= code 6) (setq ncode " "))
    ((= code 7) (setq ncode "  "))
    ((= code 8) (setq ncode " "))
    ((= code 9) (setq ncode "  "))

    ((and (= code 10)
	  (not (eq ent "SPLINE"))
	  (not (eq ent "ELLIPSE"))
	  (not (eq ent "CIRCLE"))
	  (not (eq ent "ARC"))
	  (not (eq ent "HATCH"))
	  (not (eq ent "LAYOUT"))
	  (not (eq ent "SOLID"))
	  (not (eq ent "TRACE"))
	  (not (eq ent "3DFACE"))
     )
     (setq ncode " [](/)")
    )

    ((and (= code 20)
	  (not (eq ent "SPLINE"))
	  (not (eq ent "ELLIPSE"))
	  (not (eq ent "CIRCLE"))
	  (not (eq ent "ARC"))
	  (not (eq ent "HATCH"))
	  (not (eq ent "LAYOUT"))
	  (not (eq ent "SOLID"))
	  (not (eq ent "TRACE"))
	  (not (eq ent "3DFACE"))
     )
     (setq ncode " [Y] (/)")
    )

    ((and (= code 30)
	  (not (eq ent "SPLINE"))
	  (not (eq ent "ELLIPSE"))
	  (not (eq ent "CIRCLE"))
	  (not (eq ent "ARC"))
	  (not (eq ent "HATCH"))
	  (not (eq ent "LAYOUT"))
	  (not (eq ent "SOLID"))
	  (not (eq ent "TRACE"))
	  (not (eq ent "3DFACE"))
     )
     (setq ncode " [Z] (/)")
    )

    ((= code 38) (setq ncode " "))
    ((= code 39) (setq ncode " "))
    ((= code 48) (setq ncode " "))
    ((= code 60) (setq ncode " "))
    ((= code 62) (setq ncode " "))
    ((= code 66) (setq ncode " "))
    ((= code 67) (setq ncode " "))
    ((= code 68) (setq ncode "  "))
    ((= code 69) (setq ncode "  "))

    ((= code 100) (setq ncode " "))
    ((= code 102) (setq ncode " "))
    ((= code 105) (setq ncode "   "))
    ((= code 210) (setq ncode "  "))
    ((= code 220) (setq ncode "  "))
    ((= code 230) (setq ncode "  "))
    ((= code 280) (setq ncode ""))
    ((= code 290) (setq ncode "  "))
    ((= code 300) (setq ncode " "))
    ((= code 310) (setq ncode "  "))
    ((= code 320) (setq ncode "  "))
    ((= code 330) (setq ncode "  "))
    ((= code 340) (setq ncode "  "))
    ((= code 350) (setq ncode "   /"))
    ((= code 360) (setq ncode "   /"))
    ((= code 370) (setq ncode " "))
    ((= code 390) (setq ncode "  "))
    ((= code 410) (setq ncode " "))
    ((= code 999) (setq ncode " "))
    ((= code 1000) (setq ncode " "))
    ((= code 1001) (setq ncode " "))
    ((= code 1002) (setq ncode " { }"))
    ((= code 1003) (setq ncode " "))
    ((= code 1004) (setq ncode " "))
    ((= code 1005) (setq ncode " "))
    ((= code 1010) (setq ncode " "))
    ((= code 1011) (setq ncode " "))
    ((= code 1040) (setq ncode " "))
    ((= code 1041) (setq ncode ""))
    ((= code 1042) (setq ncode " "))
    ((= code 1070) (setq ncode "16-  "))
    ((= code 1071) (setq ncode "32-  "))
  )
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun dimension (/)
  (cond


    ((= code 11) (setq ncode "  "))
    ((= code 21) (setq ncode "Y  "))
    ((= code 31) (setq ncode "Z  "))
    ((= code 12) (setq ncode "  "))
    ((= code 22) (setq ncode "Y  "))
    ((= code 32) (setq ncode "Z  "))
    ((= code 13) (setq ncode "    "))
    ((= code 23) (setq ncode "Y    "))
    ((= code 33) (setq ncode "Z    "))
    ((= code 14) (setq ncode "    "))
    ((= code 24) (setq ncode "Y    "))
    ((= code 34) (setq ncode "Z    "))
    ((= code 15)
     (setq ncode "    ")
    )
    ((= code 25)
     (setq ncode "Y    ")
    )
    ((= code 35)
     (setq ncode "Z    ")
    )
    ((= code 16) (setq ncode "   "))
    ((= code 26) (setq ncode "Y   "))
    ((= code 36) (setq ncode "Z   "))
    ((= code 70) (setq ncode "  "))
    ((= code 71) (setq ncode "  "))
    ((= code 72)
     (setq ncode "  ")
    )
    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode " "))
    ((= code 53) (setq ncode "  "))
    ((= code 50) (setq ncode "  "))
    ((= code 51) (setq ncode " "))
    ((= code 52) (setq ncode "  "))

  )
  (common_code)
)

(defun text (/)
  (cond

    ((= code 11) (setq ncode "  ( )"))
    ((= code 21) (setq ncode "Y  ( )"))
    ((= code 31) (setq ncode "Z  ( )"))
    ((= code 39) (setq ncode ""))
    ((= code 40) (setq ncode " "))
    ((and (= code 41) (eq ent "MTEXT"))
     (setq ncode " ")
    )
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode " "))
    ((= code 43) (setq ncode ""))
    ((= code 44) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode " "))
    ((= code 71) (setq ncode " "))
    ((= code 72) (setq ncode " "))
    ((= code 72) (setq ncode " "))
    ((and (= code 73) (eq ent "MTEXT"))
     (setq ncode "  ")
    )
    ((= code 73) (setq ncode "  "))

  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun leader (/)
  (cond

    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode " "))
    ((= code 71) (setq ncode "  "))
    ((= code 72) (setq ncode "  "))
    ((= code 73) (setq ncode "  "))
    ((= code 77) (setq ncode " "))
    ((= code 211) (setq ncode "  "))
    ((= code 221) (setq ncode "Y  "))
    ((= code 231) (setq ncode "Z  "))
    ((= code 212)
     (setq ncode "     ")
    )
    ((= code 222)
     (setq ncode "Y     ")
    )
    ((= code 232)
     (setq ncode "Z     ")
    )
    ((= code 213)
     (setq ncode "     ")
    )
    ((= code 223)
     (setq ncode "Y     ")
    )
    ((= code 233)
     (setq ncode "Z     ")
    )
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun lwpolyline (/)
  (cond
    ((= code 30) (setq ncode " "))
    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode ""))
    ((= code 43) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((and (= code 70) (eq ent "VERTEX"))
     (setq ncode "  ")
    )
    ((and (= code 70) (eq ent "POLYLINE"))
     (setq ncode " ")
    )
    ((= code 70) (setq ncode "  "))
    ((and (= code 71) (eq ent "VERTEX"))
     (setq ncode "  ")
    )
    ((= code 71) (setq ncode "   "))
    ((and (= code 72) (eq ent "VERTEX"))
     (setq ncode "  ")
    )
    ((= code 72) (setq ncode "   N"))
    ((and (= code 73) (eq ent "VERTEX"))
     (setq ncode "  ")
    )
    ((= code 73) (setq ncode "   M"))
    ((and (= code 74) (eq ent "VERTEX"))
     (setq ncode "  ")
    )
    ((= code 74) (setq ncode "   N"))
    ((= code 75) (setq ncode "  "))
    ((= code 90) (setq ncode " "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun spline (/)
  (cond
    ((= code 10) (setq ncode " []  "))
    ((= code 11) (setq ncode " []  "))
    ((= code 12) (setq ncode "  "))
    ((= code 13) (setq ncode "  "))
    ((= code 20) (setq ncode " [Y]  "))
    ((= code 21) (setq ncode " [Y]  "))
    ((= code 30) (setq ncode " [Z]  "))
    ((= code 31) (setq ncode " [Z]  "))
    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode ""))
    ((= code 42) (setq ncode " "))
    ((= code 43) (setq ncode "  "))
    ((= code 44) (setq ncode " "))

    ((= code 50) (setq ncode " "))

    ((= code 70) (setq ncode "  "))
    ((= code 71) (setq ncode " "))

    ((= code 72) (setq ncode " "))
    ((= code 73) (setq ncode "  "))
    ((= code 74) (setq ncode "  "))
    ((= code 75) (setq ncode "  "))
    ((= code 90) (setq ncode " "))
  )
  (common_code)
)

(defun ellipse (/)
  (cond
    ((= code 10) (setq ncode " []  "))
    ((= code 11) (setq ncode " []  "))
    ((= code 21) (setq ncode " [Y]  "))
    ((= code 31) (setq ncode " [Z]  "))


    ((= code 20) (setq ncode " Y  "))
    ((= code 30) (setq ncode " Z  "))
    ((and (= code 40) (eq ent "ELLIPSE"))
     (setq ncode "")
    )
    ((= code 40) (setq ncode ""))
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode " "))



  )
  (common_code)
)


(defun insert ()
  (cond
    ((= code 11)
     (setq ncode " []  ")
    )
    ((= code 21)
     (setq ncode " [Y]  ")
    )
    ((= code 31)
     (setq ncode " [Z]  ")
    )
    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode "   "))
    ((= code 42) (setq ncode "   Y"))
    ((= code 43) (setq ncode "   Z"))
    ((= code 44) (setq ncode "  "))
    ((= code 45) (setq ncode "  "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode " "))
    ((= code 66) (setq ncode "  "))
    ((and (= code 70) (or (eq ent "ATTDEF") (eq ent "ATTRIB")))
     (setq ncode " ")
    )
    ((= code 70) (setq ncode " "))
    ((and (= code 71) (or (eq ent "ATTDEF") (eq ent "ATTRIB")))
     (setq ncode " ")
    )
    ((= code 71) (setq ncode " "))
    ((= code 72) (setq ncode "  "))
    ((= code 73) (setq ncode " "))
    ((= code 74) (setq ncode "  "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun ARCALIGNEDTEXT (/)
  (cond

    ((= code 11) (setq ncode " []  ( )"))
    ((= code 21) (setq ncode " [Y]  ( )"))
    ((= code 31) (setq ncode " [Z]  ( )"))
    ((= code 40) (setq ncode " "))
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode " "))
    ((= code 43) (setq ncode "  "))
    ((= code 44) (setq ncode "  "))
    ((= code 45) (setq ncode " "))
    ((= code 46) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode " "))
    ((= code 70) (setq ncode "  "))
    ((= code 71) (setq ncode "  "))
    ((= code 72) (setq ncode "  "))
    ((= code 73) (setq ncode "   [/]"))
    ((= code 74) (setq ncode "  "))
    ((= code 75) (setq ncode "   "))
    ((= code 76) (setq ncode "  "))
    ((= code 77) (setq ncode "   "))
    ((= code 78) (setq ncode "  "))
    ((= code 79) (setq ncode "  :0=TTF;1=SHX"))
    ((= code 90) (setq ncode " "))
  )
  (common_code)
)

(defun hatch (/)
  (cond

    ((= code 10) (setq ncode " [] "))
    ((= code 20) (setq ncode " [Y] "))
    ((= code 30) (setq ncode " [Z] "))
    ((= code 70) (setq ncode " "))
    ((= code 71) (setq ncode " "))
    ((= code 91) (setq ncode " "))
    ((= code 92) (setq ncode "  "))
    ((= code 93) (setq ncode "  "))
    ((= code 94) (setq ncode " "))
    ((= code 95) (setq ncode " "))
    ((= code 96) (setq ncode "  "))
    ((= code 97) (setq ncode "  "))
    ((= code 72) (setq ncode " "))
    ((= code 73) (setq ncode " "))
    ((= code 74) (setq ncode ""))
    ((= code 75) (setq ncode "  "))
    ((= code 76) (setq ncode " "))
    ((= code 52) (setq ncode " "))				
    ((= code 53) (setq ncode "  "))
    ((= code 42) (setq ncode ""))
    ((= code 43) (setq ncode "   "))
    ((= code 44) (setq ncode "  Y "))
    ((= code 45) (setq ncode "  "))
    ((= code 46) (setq ncode " Y "))
    ((= code 47) (setq ncode " "))
    ((= code 49) (setq ncode " "))

    ((= code 77) (setq ncode " "))
    ((= code 78) (setq ncode " "))
    ((= code 79) (setq ncode " "))

    ((= code 98) (setq ncode "  "))

    ((= code 40) (setq ncode "//"))
    ((= code 41) (setq ncode " "))
    ((= code 42) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode " "))
  )					;(ellipse);(spline)
					;(lwpolyline)
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun point (/)
  (cond
    ((= code 50) (setq ncode " "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun ray (/)
  (cond
    ((= code 11) (setq ncode "  []"))
    ((= code 21) (setq ncode "  [Y]"))
    ((= code 31) (setq ncode "  [Z]"))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun shape (/)
  (cond
    ((= code 40) (setq ncode ""))
    ((= code 50) (setq ncode " "))
    ((= code 41) (setq ncode "  "))
    ((= code 51) (setq ncode " "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun solid (/)
  (cond
    ((= code 10) (setq ncode " []  "))
    ((= code 20) (setq ncode " [Y]  "))
    ((= code 30) (setq ncode " [Z]  "))
    ((= code 11) (setq ncode " []  "))
    ((= code 21) (setq ncode " [Y]  "))
    ((= code 31) (setq ncode " [Z]  "))
    ((= code 12) (setq ncode " []  "))
    ((= code 22) (setq ncode " [Y]  "))
    ((= code 32) (setq ncode " [Z]  "))
    ((= code 13) (setq ncode " []  "))
    ((= code 23) (setq ncode " [Y]  "))
    ((= code 33) (setq ncode " [Z]  "))
    ((= code 70) (setq ncode "  "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun viewport	(/)
  (cond
    ((= code 40) (setq ncode "    "))
    ((= code 41) (setq ncode "    "))
    ((= code 68) (setq ncode "  "))
    ((= code 69) (setq ncode "  "))
    ((= code 12) (setq ncode "  "))
    ((= code 22) (setq ncode "  "))
    ((= code 32) (setq ncode "  "))
    ((= code 13) (setq ncode "  "))
    ((= code 23) (setq ncode "  "))
    ((= code 14) (setq ncode " "))
    ((= code 24) (setq ncode " "))
    ((= code 15) (setq ncode " "))
    ((= code 25) (setq ncode " "))
    ((= code 16) (setq ncode " "))
    ((= code 26) (setq ncode " "))
    ((= code 36) (setq ncode " "))
    ((= code 17) (setq ncode "   "))
    ((= code 27) (setq ncode "   "))
    ((= code 37) (setq ncode "   "))
    ((= code 42) (setq ncode " "))
    ((= code 43) (setq ncode "  "))
    ((= code 44) (setq ncode "  "))
    ((= code 45) (setq ncode " "))
    ((= code 50) (setq ncode " "))
    ((= code 51) (setq ncode "  "))
    ((= code 72) (setq ncode "  "))
    ((= code 341) (setq ncode "   "))
    ((= code 90) (setq ncode "   "))
    ((= code 281) (setq ncode " "))
    ((= code 71) (setq ncode "  "))
    ((= code 74) (setq ncode "  "))
    ((= code 110) (setq ncode " "))
    ((= code 120) (setq ncode " "))
    ((= code 130) (setq ncode " "))
    ((= code 111) (setq ncode "  "))
    ((= code 121) (setq ncode "  "))
    ((= code 131) (setq ncode "  "))
    ((= code 112) (setq ncode " Y "))
    ((= code 122) (setq ncode " Y "))
    ((= code 132) (setq ncode " Y "))
    ((= code 345) (setq ncode "  "))
    ((= code 346) (setq ncode "  "))
    ((= code 79) (setq ncode "  "))
    ((= code 146) (setq ncode ""))
;  

  )
  (common_code)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun LAYOUT (/)
  (cond
    ((= code 70) (setq ncode " 1=PSLTSCALE 2=LIMCHECK"))
    ((= code 71) (setq ncode " "))
    ((= code 10)
     (setq ncode "    ")
    )
    ((= code 20)
     (setq ncode "    ")
    )
    ((= code 11)
     (setq ncode "    ")
    )
    ((= code 21)
     (setq ncode "    ")
    )
    ((= code 12) (setq ncode "  "))
    ((= code 22) (setq ncode "  "))
    ((= code 32) (setq ncode "  "))
    ((= code 14) (setq ncode "   "))
    ((= code 24) (setq ncode "   "))
    ((= code 34) (setq ncode "   "))
    ((= code 15) (setq ncode "   "))
    ((= code 25) (setq ncode "   "))
    ((= code 35) (setq ncode "   "))

    ((= code 146) (setq ncode ""))
    ((= code 13) (setq ncode "  "))
    ((= code 23) (setq ncode "  "))
    ((= code 33) (setq ncode "  "))
    ((= code 16) (setq ncode "   "))
    ((= code 26) (setq ncode "  X "))
    ((= code 36) (setq ncode "  X "))
    ((= code 17) (setq ncode "  Y "))
    ((= code 27) (setq ncode "  Y "))
    ((= code 37) (setq ncode "  Y "))
    ((= code 76) (setq ncode " "))
    ((= code 345) (setq ncode "  "))
    ((= code 346) (setq ncode "  "))
    
    

  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun PlotSettings()
(cond
    ((= code 40) (setq ncode "   "))
    ((= code 41) (setq ncode "   "))
    ((= code 42) (setq ncode "   "))
    ((= code 43) (setq ncode "   "))
    ((= code 44) (setq ncode "    "))
    ((= code 45) (setq ncode "    "))
    ((= code 46) (setq ncode "   "))
    ((= code 47) (setq ncode " Y  "))
    ((= code 48) (setq ncode "   "))
    ((= code 49) (setq ncode "   "))
    ((= code 140) (setq ncode "   "))
    ((= code 141) (setq ncode "   "))
    ((= code 142) (setq ncode " "))
    ((= code 143) (setq ncode " "))
    ((= code 70) (setq ncode "  "))
    ((= code 72) (setq ncode "  "))
    ((= code 73) (setq ncode "  "))
    ((= code 74) (setq ncode " "))
    ((= code 75) (setq ncode "   "))
    ((= code 147) (setq ncode " "))
    ((= code 148) (setq ncode "  "))
    ((= code 149) (setq ncode "  Y")) 

)
  (common_code)
)  
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun mline (/)
  (cond
    ((= code 40) (setq ncode " "))
    ((= code 70) (setq ncode " "))
    ((= code 71) (setq ncode " "))
    ((= code 72) (setq ncode " "))
    ((= code 73) (setq ncode " "))
    ((= code 11) (setq ncode " "))
    ((= code 21) (setq ncode " "))
    ((= code 31) (setq ncode " "))
    ((= code 12) (setq ncode "  "))
    ((= code 22) (setq ncode "  "))
    ((= code 32) (setq ncode "  "))
    ((= code 13) (setq ncode "  "))
    ((= code 23) (setq ncode "  "))
    ((= code 33) (setq ncode "  "))
    ((= code 74) (setq ncode "  "))
    ((= code 41) (setq ncode " "))
    ((= code 75) (setq ncode "  "))
    ((= code 42) (setq ncode " "))
  )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun tolerance (/)
  (cond
    ((= code 11) (setq ncode " "))
    ((= code 21) (setq ncode " "))
    ((= code 31) (setq ncode " "))
    )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun wipeout (/)
  (cond
    ((= code 90) (setq ncode ""))
    ((= code 11) (setq ncode "U  "))
    ((= code 21) (setq ncode "U  "))
    ((= code 31) (setq ncode "U  "))
    ((= code 12) (setq ncode "V  "))
    ((= code 22) (setq ncode "V  "))
    ((= code 32) (setq ncode "V  "))
    ((= code 13) (setq ncode "    U"))
    ((= code 23) (setq ncode "    V"))
    ((= code 70) (setq ncode "   "))
    ((= code 280) (setq ncode " "))
    ((= code 281) (setq ncode ""))
    ((= code 282) (setq ncode ""))
    ((= code 283) (setq ncode ""))
    ((= code 71) (setq ncode "  "))
    ((= code 91) (setq ncode "  "))
    ((= code 14) (setq ncode "  "))
    ((= code 24) (setq ncode "  "))
    ((= code 41) (setq ncode "   "))
    ((= code 42) (setq ncode "   "))
    ((= code 43) (setq ncode "   "))
    
    )
  (common_code)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun block (/)
  (cond
    ((= code 70) (setq ncode "  "))
 )
  (common_code)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun table (/)
  (cond
    ((= code 70) (setq ncode "  "))
 )
  (common_code)
)   
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun notes ()
  (cond
    ((and (= code 70) (or (eq ent "ATTDEF") (eq ent "ATTRIB")))
     (setq note
	    (strcat
	      "1 = . 2 = . 4 = . 8 = ."
	    )
     )
    )
  ((= code 62)
     (setq note
	    (strcat
	      "      ( ,  )"
	    )
     )
    )
  ((and	(= code 70)
	(eq ent "DIMENSION"))
   
    (setq note  (strcat "0 = Rotated, horizontal, or vertical;"
			" 1 = Aligned;"
			" 2 = Angular;"
			" 3 = Diameter;"
			" 4 = Radius;"
			" 5 = Angular 3 point;"
			" 6 = Ordinate;"
			" 32 = Indicates that the block reference (group code 2) is referenced by this dimension only."
			" 64 = Ordinate type. This is a bit value (bit 7) used only with integer value 6. If set, ordinate is X-type; if not set, ordinate is Y-type."
			" 128 = This is a bit value (bit 8) added to the other group" ))
	       )
    )
  
   ) 
